Public Class frmWeather

  Private Sub btnInterpret_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInterpret.Click
    'Interpret a weather beacon
    Dim color, mode As String
    color = mtbColor.Text
    mode = mtbMode.Text
    Select Case mode.ToUpper & color.ToUpper
      Case "SB"
        txtForecast.Text = "CLEAR VIEW"
      Case "FB"
        txtForecast.Text = "CLOUDS DUE"
      Case "SR"
        txtForecast.Text = "RAIN AHEAD"
      Case "FR"
        txtForecast.Text = "SNOW AHEAD"
    End Select
  End Sub

End Class
